import Request from '../common/request.js';
let request = new Request().http

// 获取积分信息
export function getPointsInfo(data) {
	return request('/app/dockerInfo/getCreditInfo', data,  'POST', 'application/json;charset=UTF-8');
}

// 获取积分列表
export function getPointsList(data) {
	return request('/app/dockerInfo/getCreditHistoryData', data, 'POST', 'application/json;charset=UTF-8');
}

// 获取积分明细
export function getPointsDetail(data) {
	return request('/store/app/points/getDetail', data, 'GET');
}

// 获取积分汇总信息（包含余额和待入账）
export function getPointsSummary() {
	return request('/store/app/points/getSummary', null, 'GET');
}

// 获取积分类型选项
export function getPointsTypeOptions(data) {
	return request('/app/common/getTaskTypeData',data, 'POST', 'application/json;charset=UTF-8');
}

// 获取积分收入/支出统计
export function getPointsStatistics(data) {
	return request('/store/app/points/getStatistics', data, 'GET');
}


